[BOOL]

[INT]

[DINT]

[REAL]

[SINT]

[SINT(STRING)]

[TIMER]
0=PRE
1=ACC
2=EN
3=TT
4=DN

[PRE]
0=DINT

[ACC]
0=DINT

[EN]
0=BOOL

[TT]
0=BOOL

[DN]
0=BOOL

[COUNTER]
0=PRE
1=ACC
2=CU
3=CD
4=DN
5=OV
6=UN

[CU]
0=BOOL

[CD]
0=BOOL

[OV]
0=BOOL

[UN]
0=BOOL

[CONTROL]
0=LEN
1=POS
2=EN
3=EU
4=DN
5=EM
6=ER
7=UL
8=IN
9=FD

[EU]
0=BOOL

[LEN]
0=DINT

[POS]
0=DINT

[EM]
0=BOOL

[ER]
0=BOOL

[UL]
0=BOOL

[IN]
0=BOOL

[FD]
0=BOOL

[CUSTOM]
0=CONTROL
1=TIMER
3=COUNTER
4=STRING

[STRING]
0=LEN
1=DATA[0]
2=DATA[2]
3=DATA[4]
4=DATA[6]
5=DATA[8]
6=DATA[10]
7=DATA[12]
8=DATA[14]
9=DATA[16]
10=DATA[18]
11=DATA[20]
12=DATA[22]
13=DATA[24]
14=DATA[26]
15=DATA[28]
16=DATA[30]
17=DATA[32]
18=DATA[34]
19=DATA[36]
20=DATA[38]
21=DATA[40]
22=DATA[42]
23=DATA[44]
24=DATA[46]
25=DATA[48]
26=DATA[50]
27=DATA[52]
28=DATA[54]
29=DATA[56]
30=DATA[58]
31=DATA[60]
32=DATA[62]
33=DATA[64]
34=DATA[66]
35=DATA[68]
36=DATA[70]
37=DATA[72]
38=DATA[74]
39=DATA[76]
40=DATA[78]
41=DATA[80]

[DATA[0]]
0=SINT(STRING)

[DATA[2]]
0=SINT(STRING)

[DATA[4]]
0=SINT(STRING)

[DATA[6]]
0=SINT(STRING)

[DATA[8]]
0=SINT(STRING)

[DATA[10]]
0=SINT(STRING)

[DATA[12]]
0=SINT(STRING)

[DATA[14]]
0=SINT(STRING)

[DATA[16]]
0=SINT(STRING)

[DATA[18]]
0=SINT(STRING)

[DATA[20]]
0=SINT(STRING)

[DATA[22]]
0=SINT(STRING)

[DATA[24]]
0=SINT(STRING)

[DATA[26]]
0=SINT(STRING)

[DATA[28]]
0=SINT(STRING)

[DATA[30]]
0=SINT(STRING)

[DATA[32]]
0=SINT(STRING)

[DATA[34]]
0=SINT(STRING)

[DATA[36]]
0=SINT(STRING)

[DATA[38]]
0=SINT(STRING)

[DATA[40]]
0=SINT(STRING)

[DATA[42]]
0=SINT(STRING)

[DATA[44]]
0=SINT(STRING)

[DATA[46]]
0=SINT(STRING)

[DATA[48]]
0=SINT(STRING)

[DATA[50]]
0=SINT(STRING)

[DATA[52]]
0=SINT(STRING)

[DATA[54]]
0=SINT(STRING)

[DATA[56]]
0=SINT(STRING)

[DATA[58]]
0=SINT(STRING)

[DATA[60]]
0=SINT(STRING)

[DATA[62]]
0=SINT(STRING)

[DATA[64]]
0=SINT(STRING)

[DATA[66]]
0=SINT(STRING)

[DATA[68]]
0=SINT(STRING)

[DATA[70]]
0=SINT(STRING)

[DATA[72]]
0=SINT(STRING)

[DATA[74]]
0=SINT(STRING)

[DATA[76]]
0=SINT(STRING)

[DATA[78]]
0=SINT(STRING)

[DATA[80]]
0=SINT(STRING)